> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud-router/modifycloudrouteredgepoint.md).

# ModifyCloudRouterEdgePoint

## 1. API Description

This API (ModifyCloudRouterEdgePoint) is used to modify Edge Point Configuration

{% hint style="info" %}
**Notes**

* Configuration changes can only be made when the Cloud Router edge point status is **RUNNING**.
* This is an asynchronous API, so the change is not completed immediately. During this period the instance status will be **UPDATING**. The result can be checked by calling [DescribeCloudRouters](https://github.com/zenlayer/zenlayercloud-api-doc-en/tree/main/sdn/cloud-router/describe-cloud-routers.md) -- if the status (cloudRouterStatus) changes from **UPDATING** (modifying) to **RUNNING** (available), the configuration was updated successfully.
* Do not perform any other operation on the edge point while the change is in progress.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                          | Description                                                                                 |
| -------------- | -------- | ----------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| cloudRouterId  | Yes      | String                                                                        | ID of the Cloud Router the edge point belongs to.                                           |
| edgePointId    | Yes      | String                                                                        | Cloud Router edge point ID.                                                                 |
| bandwidthMbps  | No       | Integer                                                                       | <p>The bandwidth limit to set, in Mbps. Value range: 1-500.</p><p>Value range: \[10, +)</p> |
| ipAddress      | No       | String                                                                        | Interconnect IP address of the edge point.                                                  |
| bgpConnection  | No       | [BGPConnection](/api-reference/networking/sdn/datastructure.md#bgpconnection) | BGP connection configuration. Choose either this or static routes.                          |
| staticRoutes   | No       | Array of [IPRoute](/api-reference/networking/sdn/datastructure.md#iproute)    | Static route configuration. Choose either this or a BGP connection.                         |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Modify the Cloud Router edge point bandwidth to 100 Mbps and set the BGP configuration.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyCloudRouterEdgePoint
<Common Request Params>

Request:
{
    "cloudRouterId": "your-cloud-router-id",
    "edgePointId": "one-of-egdgePoint-id",
    "bandwidthMbps": 100,
    "bgpConnection": {
        "peerIpAddress":"10.10.0.1/16",
        "peerAsn":1000,
        "password":"md5"
      }
}

Response:
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                        | Description                  |
| ---------------- | --------------------------------- | ---------------------------- |
| 400              | INVALID\_BANDWIDTH\_EXCEED\_LIMIT | Bandwidth exceeds the limit. |
| 409              | INVALID\_CLOUD\_ROUTER\_STATUS    | Invalid Cloud Router status. |
